Bug 171664 - Improper encoding of urlopen error (using IPv6 on non-IPv6 system)
Improper encoding of urlopen error (using IPv6 on non-IPv6 system)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: James Antill
bzcl34nup
: Reopened
: 171665 204699 241743 331581 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-24 18:22 EDT by Marcin Garski
Modified: 2009-07-14 13:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:00:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2005-10-24 18:24:34 EDT
*** Bug 171665 has been marked as a duplicate of this bug. ***
Comment 1 Marcin Garski 2005-10-24 18:25:57 EDT
There was some bugzilla sercer error and this bug is empty, so I'll paste
orginal bug report:

When I type "yum update" and yum try to download something from server that uses
IPv6 following error appears:
http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/repodata/repomd.xml:
[Errno 4] IOError: <urlopen error (97, 'Rodzina adres\xc3\xb3w nie
obs\xc5\x82ugiwana przez protok\xc3\xb3\xc5\x82')>

Of course error is good (I don't have support for IPv6) but encoding of this
error message is improper.

It should be (wget
http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/repodata/repomd.xml):

Connecting to ftp.ipv6.funet.fi|2001:708:10:7:290:27ff:fe3a:9623|:80...
nieudane: Rodzina adresów nie obsługiwana przez protokół.
Comment 2 Jeremy Katz 2006-04-19 16:19:38 EDT
This should hopefully be better with the improved encoding support in python 2.4
Comment 3 Marcin Garski 2006-07-12 16:39:56 EDT
It's still a issue with python-2.4.3-8.FC5 and yum-2.6.1-0.fc5 on FC5.
Comment 4 Jeremy Katz 2006-09-18 17:04:20 EDT
*** Bug 204699 has been marked as a duplicate of this bug. ***
Comment 5 Seth Vidal 2007-08-03 16:24:02 EDT
Could you check it again in f7 or rawhide? thanks.
Comment 6 Marcin Garski 2007-08-03 16:33:51 EDT
Still valid for F7 (python-2.5-12.fc7, yum-3.2.1-1.fc7):
[Errno 4] IOError: [Errno ftp error] (4, 'Przerwane wywo\xc5\x82anie systemowe')
Comment 7 Jeremy Katz 2007-09-13 14:09:41 EDT
*** Bug 241743 has been marked as a duplicate of this bug. ***
Comment 8 Jeremy Katz 2007-10-16 14:05:46 EDT
*** Bug 331581 has been marked as a duplicate of this bug. ***
Comment 9 Seth Vidal 2008-03-12 09:23:05 EDT
okay, at the risk of sounding like a broken record: Can you try this from latest
rawhide.

Alternatively, if there a way an ipv4-only person can test this?
Comment 10 Bug Zapper 2008-04-03 22:03:30 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Mark McClelland 2008-04-16 20:49:23 EDT
I can easily reproduce this on a dual-stack (v4/v6) system with the latest rawhide:

1. export LANG=ru_RU.utf8
2. yum update (don't enter 'y' at download prompt yet)
3. service network stop
4. (enter 'y' at download prompt)

Results:

Выполнить [y/N]: y
Downloading Packages:
ftp://mirror.cs.princeton.edu/pub/mirrors/fedora/linux/development/i386/os/Packages/kernel-2.6.25-0.234.rc9.git1.fc9.i686.rpm:
[Errno 4] IOError: <urlopen error (-3,
'\xd0\x92\xd1\x80\xd0\xb5\xd0\xbc\xd0\xb5\xd0\xbd\xd0\xbd\xd1\x8b\xd0\xb9
\xd1\x81\xd0\xb1\xd0\xbe\xd0\xb9 \xd0\xb2
\xd1\x80\xd0\xb0\xd0\xb7\xd1\x80\xd0\xb5\xd1\x88\xd0\xb5\xd0\xbd\xd0\xb8\xd0\xb8
\xd0\xb8\xd0\xbc\xd0\xb5\xd0\xbd')>

Comment 12 Peter van Egdom 2008-05-03 18:43:53 EDT
Thank you for the bug report. Changing version from "6" to "rawhide".
Comment 13 Bug Zapper 2008-05-13 22:02:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-06-09 18:04:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 13:00:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.